Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.requestParameterProvider
Class RequestParameterServletFilter

    java.lang.Object
      org.apache.myfaces.orchestra.requestParameterProvider.RequestParameterServletFilter

All Implemented Interfaces:
  javax.servlet.Filter

    public class RequestParameterServletFilter

extends java.lang.Object
implements javax.servlet.Filter

This filter wraps each `HttpServletResponse` in a `RequestParameterResponseWrapper`, meaning that every call to response.encodeURL() gets forwarded to the RequestParameterProviderManager.

Field Summary
`static java.lang.String` | `REQUEST_PARAM_FILTER_CALLED`
`static java.lang.String` | `REQUEST_PARAM_RESPONSE_WRAPPED`

Constructor Summary
`RequestParameterServletFilter()`

Method Summary
`void` | `destroy()`
`void` | `doFilter(javax.servlet.ServletRequest servletRequest, javax.servlet.ServletResponse servletResponse, javax.servlet.FilterChain filterChain)`
`void` | `init(javax.servlet.FilterConfig filterConfig)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUEST_PARAM_FILTER_CALLED

    public static final java.lang.String REQUEST_PARAM_FILTER_CALLED

### REQUEST_PARAM_RESPONSE_WRAPPED

    public static final java.lang.String REQUEST_PARAM_RESPONSE_WRAPPED

Constructor Detail

### RequestParameterServletFilter

    public RequestParameterServletFilter()

Method Detail

### init

    public void init(javax.servlet.FilterConfig filterConfig)

  Specified by:
    `init` in interface `javax.servlet.Filter`

### doFilter

    public void doFilter(javax.servlet.ServletRequest servletRequest,
                         javax.servlet.ServletResponse servletResponse,
                         javax.servlet.FilterChain filterChain)
                  throws java.io.IOException,
                         javax.servlet.ServletException

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Filter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.